<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D6884F89-4CA8-432C-94CC-664B1755485F}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>SharpQuake</RootNamespace>
    <AssemblyName>SharpQuake</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>SharpQuake.ico</ApplicationIcon>
    <StartupObject>SharpQuake.mainwindow</StartupObject>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="NVorbis.OpenTKSupport">
      <HintPath>..\..\NVorbis.OpenTKSupport.dll</HintPath>
    </Reference>
    <Reference Include="OpenTK">
      <HintPath>..\..\OpenTK.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Drawing" />
  </ItemGroup>
  <ItemGroup>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="aliasframetype_t.cs" />
    <Compile Include="aliashdr_t.cs" />
    <Compile Include="aliasskintype_t.cs" />
    <Compile Include="Ambients.cs" />
    <Compile Include="anorms.cs" />
    <Compile Include="anorm_dots.cs" />
    <Compile Include="areanode_t.cs" />
    <Compile Include="beam_t.cs" />
    <Compile Include="BigEndianConverter.cs" />
    <Compile Include="bsp_file.cs" />
    <Compile Include="builtin_t.cs" />
    <Compile Include="ByteArraySegment.cs" />
    <Compile Include="Cache.cs" />
    <Compile Include="cachepic_t.cs" />
    <Compile Include="cache_user_t.cs" />
    <Compile Include="cactive_t.cs" />
    <Compile Include="Cbuf.cs" />
    <Compile Include="CCRep.cs" />
    <Compile Include="CCReq.cs" />
    <Compile Include="cd_audio.cs" />
    <Compile Include="channel_t.cs" />
    <Compile Include="chase.cs" />
    <Compile Include="client.cs" />
    <Compile Include="client_input.cs" />
    <Compile Include="client_state_t.cs" />
    <Compile Include="client_static_t.cs" />
    <Compile Include="client_t.cs" />
    <Compile Include="cmd.cs" />
    <Compile Include="cmd_source_t.cs" />
    <Compile Include="ColorShift.cs" />
    <Compile Include="common.cs" />
    <Compile Include="Contents.cs" />
    <Compile Include="Con_.cs" />
    <Compile Include="crc.cs" />
    <Compile Include="cshift_t.cs" />
    <Compile Include="cvar.cs" />
    <Compile Include="daliasframetype_t.cs" />
    <Compile Include="daliasframe_t.cs" />
    <Compile Include="daliasgroup_t.cs" />
    <Compile Include="daliasinterval_t.cs" />
    <Compile Include="daliasskingroup_t.cs" />
    <Compile Include="daliasskininterval_t.cs" />
    <Compile Include="daliasskintype_t.cs" />
    <Compile Include="Damages.cs" />
    <Compile Include="dclipnode_t.cs" />
    <Compile Include="ddef_t.cs" />
    <Compile Include="DeadFlags.cs" />
    <Compile Include="dedge_t.cs" />
    <Compile Include="dedict_t.cs" />
    <Compile Include="dface_t.cs" />
    <Compile Include="dfunction_t.cs" />
    <Compile Include="dheader_t.cs" />
    <Compile Include="DisposableWrapper.cs" />
    <Compile Include="dleaf_t.cs" />
    <Compile Include="dlight_t.cs" />
    <Compile Include="dma_t.cs" />
    <Compile Include="dmiptexlump_t.cs" />
    <Compile Include="dmodel_t.cs" />
    <Compile Include="dnode_t.cs" />
    <Compile Include="dpackfile_t.cs" />
    <Compile Include="dpackheader_t.cs" />
    <Compile Include="dplane_t.cs" />
    <Compile Include="dprograms_t.cs" />
    <Compile Include="dqpicheader_t.cs" />
    <Compile Include="Drawer.cs" />
    <Compile Include="dspriteframetype_t.cs" />
    <Compile Include="dspriteframe_t.cs" />
    <Compile Include="dspritegroup_t.cs" />
    <Compile Include="dspriteinterval_t.cs" />
    <Compile Include="dsprite_t.cs" />
    <Compile Include="dstatement_t.cs" />
    <Compile Include="dtriangle_t.cs" />
    <Compile Include="dvertex_t.cs" />
    <Compile Include="EdictFlags.cs" />
    <Compile Include="edict_t.cs" />
    <Compile Include="EF.cs" />
    <Compile Include="efrag_t.cs" />
    <Compile Include="EndGameException.cs" />
    <Compile Include="EntityEffects.cs" />
    <Compile Include="entity_state_t.cs" />
    <Compile Include="entity_t.cs" />
    <Compile Include="entvars_t.cs" />
    <Compile Include="etype_t.cs" />
    <Compile Include="eval_t.cs" />
    <Compile Include="external.cs" />
    <Compile Include="FloodFiller.cs" />
    <Compile Include="GameKind.cs" />
    <Compile Include="GameOptionsMenu.cs" />
    <Compile Include="globalvars_t.cs" />
    <Compile Include="glpic_t.cs" />
    <Compile Include="glpoly_t.cs" />
    <Compile Include="glRect_t.cs" />
    <Compile Include="HelpMenu.cs" />
    <Compile Include="host.cs" />
    <Compile Include="hostcache_t.cs" />
    <Compile Include="hull_t.cs" />
    <Compile Include="IByteOrderConverter.cs" />
    <Compile Include="INetDriver.cs" />
    <Compile Include="INetLanDriver.cs" />
    <Compile Include="input.cs" />
    <Compile Include="ISoundController.cs" />
    <Compile Include="kbutton_t.cs" />
    <Compile Include="Key.cs" />
    <Compile Include="keydest_t.cs" />
    <Compile Include="KeysMenu.cs" />
    <Compile Include="LanConfigMenu.cs" />
    <Compile Include="lightstyle_t.cs" />
    <Compile Include="link_t.cs" />
    <Compile Include="LittleEndianConverter.cs" />
    <Compile Include="LoadMenu.cs" />
    <Compile Include="lumpinfo_t.cs" />
    <Compile Include="Lumps.cs" />
    <Compile Include="lump_t.cs" />
    <Compile Include="MainMenu.cs" />
    <Compile Include="mainwindow.cs" />
    <Compile Include="maliasframedesc_t.cs" />
    <Compile Include="mathlib.cs" />
    <Compile Include="mdl_t.cs" />
    <Compile Include="medge_t.cs" />
    <Compile Include="menu.cs" />
    <Compile Include="MenuBase.cs" />
    <Compile Include="mesh.cs" />
    <Compile Include="miptex_t.cs" />
    <Compile Include="mleaf_t.cs" />
    <Compile Include="mnodebase_t.cs" />
    <Compile Include="mnode_t.cs" />
    <Compile Include="Mod.cs" />
    <Compile Include="model_t.cs" />
    <Compile Include="mode_t.cs" />
    <Compile Include="modtype_t.cs" />
    <Compile Include="Move.cs" />
    <Compile Include="Movetypes.cs" />
    <Compile Include="mplane_t.cs" />
    <Compile Include="MsgReader.cs" />
    <Compile Include="MsgWriter.cs" />
    <Compile Include="mspriteframedesc_t.cs" />
    <Compile Include="mspriteframe_t.cs" />
    <Compile Include="mspritegroup_t.cs" />
    <Compile Include="msprite_t.cs" />
    <Compile Include="msurface_t.cs" />
    <Compile Include="mtexinfo_t.cs" />
    <Compile Include="MTexTarget.cs" />
    <Compile Include="MultiPleerMenu.cs" />
    <Compile Include="mvertex_t.cs" />
    <Compile Include="net.cs" />
    <Compile Include="NetFlags.cs" />
    <Compile Include="net_datagram.cs" />
    <Compile Include="net_loop.cs" />
    <Compile Include="net_tcp_ip.cs" />
    <Compile Include="net_vcr.cs" />
    <Compile Include="NullCDAudioController.cs" />
    <Compile Include="NullSoundController.cs" />
    <Compile Include="OFS.cs" />
    <Compile Include="OP.cs" />
    <Compile Include="OpenALController.cs" />
    <Compile Include="OptionsMenu.cs" />
    <Compile Include="packfile_t.cs" />
    <Compile Include="pack_t.cs" />
    <Compile Include="pad_int28.cs" />
    <Compile Include="Planes.cs" />
    <Compile Include="plane_t.cs" />
    <Compile Include="PollHandler.cs" />
    <Compile Include="PollProcedure.cs" />
    <Compile Include="portable_samplepair_t.cs" />
    <Compile Include="progs.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.cs" />
    <Compile Include="Properties\Settings.Designer.cs">
      <DependentUpon>Settings.settings</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="protocol.cs" />
    <Compile Include="QBuiltins.cs" />
    <Compile Include="QDef.cs" />
    <Compile Include="QItems.cs" />
    <Compile Include="qparam.cs" />
    <Compile Include="qsocket_t.cs" />
    <Compile Include="QStats.cs" />
    <Compile Include="QuakeException.cs" />
    <Compile Include="quakeparms_t.cs" />
    <Compile Include="QuakeSystemError.cs" />
    <Compile Include="QuitMenu.cs" />
    <Compile Include="refdef_t.cs" />
    <Compile Include="render.cs" />
    <Compile Include="SaveMenu.cs" />
    <Compile Include="sbar.cs" />
    <Compile Include="scoreboard_t.cs" />
    <Compile Include="Scr.cs" />
    <Compile Include="SDL2\SDL.cs" />
    <Compile Include="SDL2\SDL_image.cs" />
    <Compile Include="SDL2\SDL_mixer.cs" />
    <Compile Include="SDL2\SDL_ttf.cs" />
    <Compile Include="SearchMenu.cs" />
    <Compile Include="searchpath_t.cs" />
    <Compile Include="server.cs" />
    <Compile Include="ServerListMenu.cs" />
    <Compile Include="server_state_t.cs" />
    <Compile Include="server_static_t.cs" />
    <Compile Include="server_t.cs" />
    <Compile Include="SetupMenu.cs" />
    <Compile Include="sfxcache_t.cs" />
    <Compile Include="sfx_t.cs" />
    <Compile Include="Side.cs" />
    <Compile Include="SinglePlayerMenu.cs" />
    <Compile Include="snd.cs" />
    <Compile Include="Solids.cs" />
    <Compile Include="SpawnFlags.cs" />
    <Compile Include="SPR.cs" />
    <Compile Include="spriteframetype_t.cs" />
    <Compile Include="stvert_t.cs" />
    <Compile Include="Surf.cs" />
    <Compile Include="SwapHelper.cs" />
    <Compile Include="synctype_t.cs" />
    <Compile Include="sys.cs" />
    <Compile Include="texinfo_t.cs" />
    <Compile Include="texture_t.cs" />
    <Compile Include="trace_t.cs" />
    <Compile Include="trivertx_t.cs" />
    <Compile Include="Union4b.cs" />
    <Compile Include="usercmd_t.cs" />
    <Compile Include="v3f.cs" />
    <Compile Include="VcrOp.cs" />
    <Compile Include="VcrRecord.cs" />
    <Compile Include="vid.cs" />
    <Compile Include="viddef_t.cs" />
    <Compile Include="VideoMenu.cs" />
    <Compile Include="view.cs" />
    <Compile Include="vrect_t.cs" />
    <Compile Include="wad.cs" />
    <Compile Include="wadinfo_t.cs" />
    <Compile Include="WavHelper.cs" />
    <Compile Include="wavinfo_t.cs" />
    <Compile Include="xcommand_t.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.resources" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="app.manifest" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>